import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import {CommunitiesComponent} from './communities.component';
import {CommunityFormComponent} from './community-form.component';
import {CommunitiesRoutingModule} from './communities-routing.module';
import {RouterModule} from '@angular/router';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import {FABModule} from '../../utils/fabModule.module';
import {AlertModalModule} from '../../openaireLibrary/utils/modal/alertModal.module';
import {AdminLoginGuard} from '../../openaireLibrary/login/adminLoginGuard.guard';

@NgModule({
  imports: [
    CommonModule, FormsModule, FABModule,  AlertModalModule,
    ReactiveFormsModule,
    CommunitiesRoutingModule, RouterModule
  ],
  declarations: [CommunitiesComponent, CommunityFormComponent],
  providers: [AdminLoginGuard],
  exports: [CommunitiesComponent]
})
export class CommunitiesModule { }
