import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {RouterModule} from '@angular/router';

import {CommunityLayoutComponent} from './community-layout.component';

import {CommunityLayoutRoutingModule} from './community-layout-routing.module';
import {IsCommunity} from '../../../openaireLibrary/connect/communityGuard/isCommunity.guard';
import {ConnectAdminLoginGuard} from '../../../openaireLibrary/connect/communityGuard/connectAdminLoginGuard.guard';
import {ColorPickerModule} from 'ngx-color-picker';
import {LayoutService} from '../../../openaireLibrary/services/layout.service';

@NgModule({
  imports: [
    CommunityLayoutRoutingModule, CommonModule, RouterModule, ColorPickerModule
  ],
  declarations: [
    CommunityLayoutComponent
  ],
  providers: [
    IsCommunity, ConnectAdminLoginGuard, LayoutService
  ],
  exports: [
    CommunityLayoutComponent
  ]
})

export class CommunityLayoutModule { }
