import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {FormsModule} from '@angular/forms';
import {RouterModule} from '@angular/router';

import {CuratorComponent} from './curator.component';

import {CuratorRoutingModule} from './curator-routing.module';
import {IsCommunity} from '../../openaireLibrary/connect/communityGuard/isCommunity.guard';
import {ConnectAdminLoginGuard} from '../../openaireLibrary/connect/communityGuard/connectAdminLoginGuard.guard';
import {CuratorService} from '../../openaireLibrary/connect/curators/curator.service';
import {AlertModalModule} from '../../openaireLibrary/utils/modal/alertModal.module';
import {UtilitiesService} from '../../openaireLibrary/services/utilities.service';
import {AffiliationsModule} from "../affiliations/affiliations.module";

@NgModule({
  imports: [
    CuratorRoutingModule, CommonModule, FormsModule, RouterModule,
    AlertModalModule, AffiliationsModule
  ],
  declarations: [
    CuratorComponent
  ],
  providers: [
    CuratorService, UtilitiesService, IsCommunity, ConnectAdminLoginGuard
  ],
  exports: [
    CuratorComponent
  ]
})

export class CuratorModule { }
