import { NgModule } from '@angular/core';
import {RouterModule} from '@angular/router';
import {CommonModule} from '@angular/common';
import {IsCommunity} from '../../openaireLibrary/connect/communityGuard/isCommunity.guard';
import {ConnectAdminLoginGuard} from '../../openaireLibrary/connect/communityGuard/connectAdminLoginGuard.guard';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import {FABModule} from '../../utils/fabModule.module';
import {AlertModalModule} from '../../openaireLibrary/utils/modal/alertModal.module';
import {DivHelpContentsRoutingModule} from './div-help-contents-routing.module';
import {SafeHtmlPipeModule} from '../../openaireLibrary/utils/pipes/safeHTMLPipe.module';
import {DivHelpContentsComponent} from './div-help-contents.component';
import {MatSlideToggleModule} from '@angular/material';

@NgModule({
  imports: [
    CommonModule, RouterModule, FormsModule, FABModule, SafeHtmlPipeModule,
    AlertModalModule, ReactiveFormsModule, DivHelpContentsRoutingModule, MatSlideToggleModule
  ],
    declarations: [
        DivHelpContentsComponent
    ],
    providers: [IsCommunity, ConnectAdminLoginGuard],
    exports: [DivHelpContentsComponent]
})
export class DivHelpContentsModule { }
