import { NgModule } from '@angular/core';
import {RouterModule} from '@angular/router';
import {CommonModule} from '@angular/common';
import {IsCommunity} from '../../openaireLibrary/connect/communityGuard/isCommunity.guard';
import {ConnectAdminLoginGuard} from '../../openaireLibrary/connect/communityGuard/connectAdminLoginGuard.guard';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import {FABModule} from '../../utils/fabModule.module';
import {AlertModalModule} from '../../openaireLibrary/utils/modal/alertModal.module';
import {SafeHtmlPipeModule} from '../../openaireLibrary/utils/pipes/safeHTMLPipe.module';
import {EditDivHelpContentRoutingModule} from './edit-div-help-content-routing.module';
import {CKEditorModule} from 'ng2-ckeditor';
import {EditDivHelpContentComponent} from './edit-div-help-content.component';
import {DivContentFormComponent} from './div-help-content-form.component';
import {DivHelpContentFormModule} from './div-help-content-form.module';

@NgModule({
    imports: [
        CommonModule,  RouterModule,
        DivHelpContentFormModule, EditDivHelpContentRoutingModule
    ],
    declarations: [
        EditDivHelpContentComponent
    ],
    providers: [IsCommunity, ConnectAdminLoginGuard],
    exports: [EditDivHelpContentComponent]
})
export class EditDivHelpContentModule { }
