import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {FormsModule} from '@angular/forms';
import {RouterModule} from '@angular/router';

import {SubjectsEditFormComponent} from './subjects-edit-form.component';

import {SubjectsService} from '../subjects.service';
import {SubjectsEditFormRoutingModule} from './subjects-edit-form-routing.module';
import {IsCommunity} from '../../../openaireLibrary/connect/communityGuard/isCommunity.guard';
import {ConnectAdminLoginGuard} from '../../../openaireLibrary/connect/communityGuard/connectAdminLoginGuard.guard';
import {ConnectCommunityGuard} from '../../../openaireLibrary/connect/communityGuard/connectCommunityGuard.guard';

@NgModule({
  imports: [
    SubjectsEditFormRoutingModule, CommonModule, FormsModule, RouterModule,
  ],
  declarations: [
    SubjectsEditFormComponent
  ],
  providers: [
    SubjectsService, IsCommunity, ConnectAdminLoginGuard, ConnectCommunityGuard
  ],
  exports: [
    SubjectsEditFormComponent
   ]
})
export class SubjectsEditFormModule { }
