import {NgModule} from '@angular/core';
import {RouterModule} from '@angular/router';
import {CommonModule} from '@angular/common';
import {FormsModule} from '@angular/forms';

import {ManageUserNotificationsComponent} from './manage-user-notifications.component';
import {ManageUserNotificationsService} from './manage-user-notifications.service';
import {MailPrefsModule} from '../../openaireLibrary/connect/userEmailPreferences/mailsPrefs.module';
import {ManageUserNotificationsRoutingModule} from './manage-user-notifications-routing.module';
import {IsCommunity} from '../../openaireLibrary/connect/communityGuard/isCommunity.guard';
import {ConnectAdminLoginGuard} from '../../openaireLibrary/connect/communityGuard/connectAdminLoginGuard.guard';

@NgModule({
  imports: [
    ManageUserNotificationsRoutingModule, RouterModule, CommonModule, FormsModule, MailPrefsModule
  ],
  declarations: [
    ManageUserNotificationsComponent
  ],
  providers: [
    ManageUserNotificationsService, IsCommunity, ConnectAdminLoginGuard
  ],
  exports: [
    ManageUserNotificationsComponent
  ]
})

export class ManageUserNotificationsModule {
}
