import { OnInit } from '@angular/core';
import { Settings } from './settings';
import { Phrase } from './phrase';
import { FormBuilder, FormGroup } from '@angular/forms';
import { ConfigurationService } from '../configuration.service';
import { ActivatedRoute, Router } from '@angular/router';
export declare class SettingsComponent implements OnInit {
    private formBuilder;
    private route;
    private router;
    private configurationService;
    sliderConfig: any;
    customRulesOpen: boolean;
    positivePhrasesArray: Array<Phrase>;
    negativePhrasesArray: Array<Phrase>;
    positiveSelectedRow: number;
    negativeSelectedRow: number;
    positivePhraseForm: FormGroup;
    negativePhraseForm: FormGroup;
    settings: Settings;
    constructor(formBuilder: FormBuilder, route: ActivatedRoute, router: Router, configurationService: ConfigurationService);
    ngOnInit(): void;
    onSliderChange(value: number): void;
    advancedCheckboxChange(): void;
    phraseSubmit(positive: boolean): void;
    bulkPutPrhases(phrases: string, positive: boolean): void;
    deletePhrase(index: any, positive: boolean): void;
    selectPhraseRow(row: number, positive: boolean): void;
    unselectPhraseRow(positive: boolean): void;
    phrasesChanged(positive: boolean): void;
    contextprevChange(value: any): void;
    contextnextChange(value: any): void;
    stopwordsCheckBoxChange(value: boolean): void;
    punctuationCheckBoxChange(value: boolean): void;
    lowercaseCheckBoxChange(value: boolean): void;
    stemmingCheckBoxChange(value: boolean): void;
    documentAreaChange(value: string): void;
    getSettingsFromLocalStorage(): Settings;
    saveProfile(): void;
}
