import { OnInit } from '@angular/core';
import { ManageprofilesService } from './manageprofiles.service';
import { ActivatedRoute, Router } from '@angular/router';
import { PaginationInstance } from 'ngx-pagination';
import { ProfileMetadata } from './profile-metadata';
import { ExampleProfilesMetadata } from './example-profiles-metadata';
import { UsersMetadata } from './users-metadata';
export declare class ManageprofilesComponent implements OnInit {
    private manageProfilesService;
    private route;
    private router;
    allUsersProfiles: Array<UsersMetadata>;
    statusValues: string[];
    communityId: string;
    isCommunityManager: boolean;
    userSavedProfiles: Array<ProfileMetadata>;
    exampleProfiles: Array<ExampleProfilesMetadata>;
    allProfiles: PaginationInstance;
    userProfiles: PaginationInstance;
    pending: boolean;
    constructor(manageProfilesService: ManageprofilesService, route: ActivatedRoute, router: Router);
    ngOnInit(): void;
    private initialServerHandshake;
    private getAllUsersProfiles;
    private getSavedProfiles;
    private getExampleProfiles;
    private clearLocalStorage;
    loadUserProfileAdmin(userId: string, profileId: string, name: string): void;
    downloadUserProfileAdmin(userId: string, profileId: string, profileName: string): void;
    onStatusChange(userId: string, profileId: string, status: string): void;
    loadSavedProfile(id: string, name: string): void;
    downloadProfile(profileId: string, profileName: string): void;
    deleteProfilePrompt(index: any): void;
    createNewProfile(): void;
    fileChangeUpload(event: any): void;
    notifyProfile(profile: ProfileMetadata): void;
    loadExampleProfile(name: string): void;
}
